HAL-DEVICE(1)

NAME
hal-device - list and manage HAL devices

SYNOPSIS

hal-device [options]

DESCRIPTION
hal-device enables you to manage devices that conform to the HAL standard. Specifically, hal-device lets you add or remove a device to or from the HAL global device list. Device properties are read from stdin in lshal syntax. If the provided udi does not start with a '/' then '/org/freedesktop/Hal/devices/' is prepended.

OPTIONS
The following options are supported:

--add udi
    Add device specified by Universal Device Identifier udi to HAL's global device list.

-h  Display usage information.

--remove udi
    Remove device specified by Universal Device Identifier udi from HAL's global device list.

udi Show single device information specified by udi.

RETURN VALUE

If performing the action succeeds, this program will exit with exit code 0. On errors a non-zero the program will exit with a non-zero exit code. Note that creating devices in the HAL device database usually requires super user privileges.

BUGS

Please send bug reports to either the distribution or the HAL mailing list, see http://lists.freedesktop.org/mailman/listinfo/hal on how to subscribe.

SEE ALSO

hald(8), lshal(1), hal-get-property(1)

AUTHOR
Written by David Zeuthen <david@fubar.dk> with a lot of help from many others.